Bug 741423 - locates for pt-BR are causing errors at thunderbird-lightning preventing to to open calendar windows
Summary: locates for pt-BR are causing errors at thunderbird-lightning preventing to t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird-lightning
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 19:17 UTC by Mauro Carvalho Chehab
Modified: 2013-07-04 22:58 UTC (History)
4 users (show)

Fixed In Version: 1.0-0.50.b7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-05 14:58:54 UTC


Attachments (Terms of Use)

Description Mauro Carvalho Chehab 2011-09-26 19:17:19 UTC
Description of problem:

Fatal errors appear at the error console of the thunderbird-ligthning, preventing it to open the events/tasks menu, so efectively causinng lightning to not work at all.

Version-Release number of selected component (if applicable):

thunderbird-6.0.2-1.fc15.x86_64
thunderbird-lightning-1.0-0.48.b5.fc15.x86_64

How reproducible:

Always. The "Eventos e Tarefas" (events and tasks) windows don't open, if locale is pt_BR.

Steps to Reproduce:

1. Install lightning and call thunderbird.
  
A quick hack for fixing it is to comment the pt_BR locales:

grep ^# /usr/lib64/mozilla/extensions/\{3550f703-e582-4d05-9a08-453d09bdfdc6\}/\{e2fda1a4-762b-4020-b5ad-a41df1933103\}/chrome.manifest 
#locale calendar pt-BR jar:chrome/calendar-pt-BR.jar!/locale/pt-BR/calendar/
#locale lightning pt-BR jar:chrome/lightning-pt-BR.jar!/locale/pt-BR/lightning/

Comment 1 Jochen Schmitt 2011-09-28 14:47:37 UTC
Re have change the component of this bug.

Comment 2 Orion Poplawski 2011-09-30 22:32:00 UTC
I believe this is fixed in thunderbird-lightning-1.0b7, and update will be in updates testing shortly.  Please test.

Comment 3 Mauro Carvalho Chehab 2011-10-05 13:14:54 UTC
Updated to:

thunderbird-lightning-1.0-0.50.b7.fc15.x86_64
gnome-do-plugins-thunderbird-0.8.4-2.fc15.x86_64
thunderbird-7.0.1-1.fc15.x86_64
thunderbird-enigmail-1.3-1.fc15.x86_64

It worked, thanks! 

A side effect of upgrading thunderbird-lightning is that enigmail stopped working, as thunderbird itself changed to version 7.0.1, and enigmail doesn't seem to be updated yet to match that version.

Comment 4 Orion Poplawski 2011-10-05 14:58:54 UTC
Note that upstream informed me that the pt_PR locale is incomplete so there still may be problems, but I'm going to close this for now

Comment 5 Orion Poplawski 2011-10-06 19:25:26 UTC
Actually, the pt-BR locale was removed from 1.0b7, that why it works now.  It must be picking up the pt-PT locale instead?


Note You need to log in before you can comment on or make changes to this bug.